#include "vision.h"
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1, 2, 3, 1, 1};
}

int getMove1d(vector<int> v)
{
    int l2 = -1, l3 = -1;
    for (int i = 0; i < v.size(); i++)
        if (v[i] == 2)
            l2 = i;
        else if (v[i] == 3)
            l3 = i;
    if (l2 == -1 && l3 == -1)
        return 0;
    else if (l2 == -1)
        return l3;
    else if (l3 == -1)
        return l2;
    return v[v.size() / 2] != 3 ? l3 : (v.size() / 2 + (l3 - l2) * (v.size() / 2));

}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
